Retrieve a paginated list of conversions with optional filtering using Lucene query syntax
curl --request GET \
--url https://api.staging.layer1.com/trade/v1/conversions \
--header 'Authorization: Bearer <token>'{
"content": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"reference": "my-conversion-ref-123",
"status": "COMPLETED",
"from": {
"asset": "BTC",
"amount": "0.1"
},
"to": {
"asset": "USD",
"amount": "4250.00"
},
"executor": "TAKER",
"createdAt": "2023-10-01T12:00:00Z"
}
],
"totalElements": 1,
"totalPages": 1,
"size": 20,
"number": 0
}Documentation Index
Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Query in Lucene format. Supported fields: reference, id, status, tenantId, fromAsset, toAsset, from, to, venues
1024Page number to get
x >= 0Maximum records to return (max 100)
0 <= x <= 100curl --request GET \
--url https://api.staging.layer1.com/trade/v1/conversions \
--header 'Authorization: Bearer <token>'{
"content": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"reference": "my-conversion-ref-123",
"status": "COMPLETED",
"from": {
"asset": "BTC",
"amount": "0.1"
},
"to": {
"asset": "USD",
"amount": "4250.00"
},
"executor": "TAKER",
"createdAt": "2023-10-01T12:00:00Z"
}
],
"totalElements": 1,
"totalPages": 1,
"size": 20,
"number": 0
}